Foreman - Feature #5458

Make setting static IP more user friendly
04/25/2014 07:13 PM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Network
Target version: 1.8.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/162
Description

Currently a user has to edit the PXE or provision template to use the static configuration. Maybe having a checkbox in the Ul would

be more user friendly?

Related issues:
Related to Foreman - Tracker #2409: Networking

Related to Foreman - Feature #8086: Adding network interfaces that aren't dhc...

Blocks Boot disk - Bug #6711: bootdisk seems to only support static networking
Blocked by Foreman - Refactor #7456: Extract primary interface from host

New

Resolved 10/23/2014
Resolved 07/22/2014
Closed 09/16/2014

Associated revisions

Revision 5339d8c8 - 03/23/2015 05:38 AM - Marek Hulan
Fixes #5458 - use subnet dhcp boot mode if possible

History

#1 - 04/25/2014 07:14 PM - Stephen Benjamin

- Tracker changed from Bug to Feature

#2 - 07/22/2014 03:37 AM - Dominic Cleal
- Blocks Bug #6711: bootdisk seems to only support static networking added

#3 - 09/16/2014 08:32 AM - Marek Hulan

- Status changed from New to Closed

Since we have already Boot mode for network we should use it for determining static or dhcp configuration of primary interface in provisioning

templates.

#4 - 09/16/2014 08:33 AM - Marek Hulan
- Related to Tracker #2409: Networking added

#5 - 09/16/2014 08:34 AM - Marek Hulan

- Status changed from Closed to New

#6 - 10/20/2014 07:15 AM - Marek Hulan
- Blocked by Refactor #7456: Extract primary interface from host added

#7 - 10/24/2014 03:45 AM - Dominic Cleal

- Related to Feature #8086: Adding network interfaces that aren't dhcp-managed added

#8 - 03/05/2015 08:28 AM - Marek Hulan
- Status changed from New to Resolved

- translation missing: en.field_release set to 28

This is fixed in 1.8.0 as community templates now obey subnet dhcp boot mode (with fallback to @static on older versions).

#9 - 03/05/2015 08:30 AM - Marek Hulan
- Status changed from Resolved to New

- translation missing: en.field_release deleted (28)

oh that was too early, preseed still relies on @static only

#10 - 03/09/2015 06:29 AM - Marek Hulan

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/community-templates/pull/162 added
- Pull request deleted ()

#11 - 03/16/2015 02:33 PM - Lukas Zapletal

Marek, we have this page:

http://projects.theforeman.org/projects/foreman/wiki/KickstartStatic

Is this still valid? Would you mind documenting this, | see it has more features now. The wiki could have been migrated to our official documentation
with futher expansion. | am interested in getting more information about this.

#12 - 03/18/2015 08:35 AM - Marek Hulan

| updated the wiki page, it's a bit in advance as Foreman 1.8 was not released yet... What is says is actually true now for Kickstart, when this issue is
closed (and PR merged and synced) it will be true for all templates.

#13 - 03/23/2015 05:42 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 28

Preseed updated in https:/github.com/theforeman/community-templates/commit/5339d8c8984c¢75834b59e8tb90ebe5978d0c0d0d
